## maliit-inputcontext-gtk 0.99.1

=== debian/changelog ===
maliit-inputcontext-gtk (0.99.1-0ubuntu1) xenial; urgency=low

  * Initial release

 -- William Hua <william.hua@canonical.com>  Tue, 12 Jan 2016 15:18:07 -0500
