=== debian/control ===
Source: maliit-inputcontext-gtk
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Uploaders: William Hua <william.hua@canonical.com>
Build-Depends: debhelper (>= 9),
               cmake,
               qtbase5-dev,
               libgtk2.0-dev,
               libgtk-3-dev,
               libmaliit-glib-dev,
Standards-Version: 3.9.6
Vcs-Bzr: http://bazaar.launchpad.net/~attente/maliit-inputcontext-gtk/trunk
Vcs-Browser: https://code.launchpad.net/~attente/maliit-inputcontext-gtk/trunk

Package: maliit-inputcontext-gtk2
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Maliit GTK+ 2 input method module
 Maliit provides a flexible and cross-platform input method framework. It has a
 plugin-based client-server architecture where applications act as clients and
 communicate with the Maliit server via input context plugins. The communication
 link currently uses D-Bus. Maliit is an open source framework (LGPL 2) with
 open source plugins (BSD).
 .
 This package provides the module needed for GTK+ 2 applications to communicate
 with the Maliit server.

Package: maliit-inputcontext-gtk3
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Maliit GTK+ 3 input method module
 Maliit provides a flexible and cross-platform input method framework. It has a
 plugin-based client-server architecture where applications act as clients and
 communicate with the Maliit server via input context plugins. The communication
 link currently uses D-Bus. Maliit is an open source framework (LGPL 2) with
 open source plugins (BSD).
 .
 This package provides the module needed for GTK+ 3 applications to communicate
 with the Maliit server.
