=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

# see EXAMPLES in dpkg-buildflags(1) and read /usr/share/dpkg/*
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

# see FEATURE AREAS in dpkg-buildflags(1)
#export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

# main packaging script based on dh7 syntax
%:
	dh $@ 

# use this if we ever need a git snapshot:
#
# release_version = $(shell dpkg-parsechangelog -S Version | sed -e 's/-.*//')
# package_version = $(shell dpkg-parsechangelog -S Version | sed -e 's/-.*//')
#
# get-orig-source:
# 	uscan --force-download
#
# get-packaged-orig-source:
# 	git clone -b $(release_version) --depth=1 git://github.com/maliit/inputcontext-gtk inputcontext-gtk-$(release_version)
# 	tar czf maliit-inputcontext-gtk_$(package_version).orig.tar.gz inputcontext-gtk-$(release_version)
# 	rm -rf inputcontext-gtk-$(release_version)

override_dh_auto_configure:
	dh_auto_configure -- \
		-DLIB_INSTALL_DIR=`pkg-config --variable=libdir gtk+-3.0` \
		-DENABLE_X11=ON

#.PHONY: get-orig-source get-packaged-orig-source
