=== debian/watch ===
version=3
opts=filenamemangle=s/\/maliit\/inputcontext-gtk\/archive\/([\d\.]*).tar.gz/maliit-inputcontext-gtk_$1.orig.tar.gz/ \
https://github.com/maliit/inputcontext-gtk/releases /maliit/inputcontext-gtk/archive/([\d\.]*).tar.gz
