## maliit-inputcontext-gtk 0.99.1%2Bgit20151116.72d7576

=== debian/watch ===
version=4
opts="mode=git, pgpmode=none,  pretty=0.99.1+git%cd.%h" \
https://github.com/maliit/inputcontext-gtk \
HEAD
