## maliit-inputcontext-gtk 0.99.1+git20151116.72d7576

=== debian/changelog ===
maliit-inputcontext-gtk (0.99.1+git20151116.72d7576-4) unstable; urgency=medium

  * debian/: Drop GTK-2.0 build flavour and bin:pkg.
  * debian/patches:
    + Add 1001_CMake-4.patch. Support building with CMake 4. (Closes: #1113265).
  * debian/control:
    + Bump Standards-Version: to 4.7.2. No changes needed.
    + In B-D:, switch from pkg-config to pkgconf. Thanks, lintian.
  * debian/copyright:
    + Update copyright attributions for debian/.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 02 Sep 2025 16:44:18 +0200

maliit-inputcontext-gtk (0.99.1+git20151116.72d7576-3) unstable; urgency=medium

  * debian/control:
    + Adjust Vcs-*: fields. This package is maintained by the UBports Packaging
      Team.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 05 Feb 2023 21:15:38 +0100

maliit-inputcontext-gtk (0.99.1+git20151116.72d7576-2) unstable; urgency=medium

  [ Anton Gladky ]
  * Add debian/.gitlab-ci.yml

  [ Mike Gabriel ]
  * debian/rules:
    + Build with LIB_INSTALL_DIR set to multi-arch path. Thanks to @smcv for
      clarifying on this. (Closes: #1025304).
  * debian/control:
    + Bump Standards-Version: to 4.6.2. No changes needed.
  * debian/copyright:
    + Update attributions for debian/.

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 14 Jan 2023 22:23:04 +0100

maliit-inputcontext-gtk (0.99.1+git20151116.72d7576-1) unstable; urgency=medium

  * Initial upload to Debian. (Closes: #1016016).

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 25 Jul 2022 12:38:18 +0200
