=== debian/control ===
Source: maliit-inputcontext-gtk
Section: libs
Priority: optional
Maintainer: Debian UBports Team <team+ubports@tracker.debian.org>
Uploaders:
 Mike Gabriel <sunweaver@debian.org>,
Build-Depends: cmake,
               debhelper-compat (= 13),
               pkgconf,
               libgtk-3-dev,
               libmaliit-glib-dev,
               qtbase5-dev (>= 5.2),
               xauth,
               xvfb,
Standards-Version: 4.7.2
Homepage: https://github.com/maliit/inputcontext-gtk
Vcs-Browser: https://salsa.debian.org/ubports-team/maliit-inputcontext-gtk
Vcs-Git: https://salsa.debian.org/ubports-team/maliit-inputcontext-gtk.git
Rules-Requires-Root: no

Package: maliit-inputcontext-gtk3
Architecture: any
Section: misc
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Maliit Inputcontext for GTK+-3 applications
 Maliit provides a flexible and cross-platform input method framework. It has a
 plugin-based client-server architecture where applications act as clients and
 communicate with the Maliit server via input context plugins. The communication
 link currently uses D-Bus. Maliit is an open source framework (LGPL 2) with
 open source plugins (BSD).
 .
 This package provides input support for GTK+-3 based applications.
